Returns the number of fields in the document

- « SolrInputDocument::getFieldBoost

- SolrInputDocument::getFieldNames »

- PHP Manual
- SolrInputDocument
- Returns the number of fields in the document

# SolrInputDocument::getFieldCount

(PECL solr >= 0.9.2)

SolrInputDocument::getFieldCount — Returns the number of fields in the document

### Description

public SolrInputDocument::getFieldCount(): int|false

Returns the number of fields in the document.

### Parameters

This function has no parameters.

### Return Values

Returns an integer on success or `false` on failure.